# RCS0027: Place new line after/before binary operator

| Property        | Value                                 |
| --------------- | ------------------------------------- |
| Id              | RCS0027                               |
| Severity        | None                                  |
| Required option | `roslynator_binary_operator_new_line` |

## Example

### Code with Diagnostic

```csharp
if (x && // RCS0027
    y &&
    z)
{
}
```

### Code with Fix

```csharp
if (x
    && y
    && z)
{
}
```

## Options

### Place new line after/before binary operator

```editorconfig
roslynator_binary_operator_new_line = after|before
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*