# RCS0028: Place new line after/before '?:' operator

| Property        | Value                                      |
| --------------- | ------------------------------------------ |
| Id              | RCS0028                                    |
| Severity        | None                                       |
| Required option | `roslynator_conditional_operator_new_line` |

## Example

### Code with Diagnostic

```csharp
var y = x ? // RCS0028
    Foo() :
    Bar();
```

### Code with Fix

```csharp
var y = x
    ? Foo()
    : Bar();
```

## Options

### Place new line after/before '?:' operator

```editorconfig
roslynator_conditional_operator_new_line = after|before
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*