# RCS0034: Put type parameter constraint on its own line

| Property | Value   |
| -------- | ------- |
| Id       | RCS0034 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
class Foo<T1, T2> where T1 : struct where T2 : struct // RCS0034
{
}
```

### Code with Fix

```csharp
class Foo<T1, T2>
    where T1 : struct
    where T2 : struct
{
}
```

## Applies to

* [Roslynator.Formatting.Analyzers](https://www.nuget.org/packages/Roslynator.Formatting.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*