# RCS1005: Simplify nested using statement

| Property | Value   |
| -------- | ------- |
| Id       | RCS1005 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
using (var fs = new FileStream("path", FileMode.OpenOrCreate))
{ // RCS1005
    using (var sr = new StreamReader(fs))
    {
    }
}
```

### Code with Fix

```csharp
using (var fs = new FileStream("path", FileMode.OpenOrCreate))
using (var sr = new StreamReader(fs))
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*