# RCS1018: Add/remove accessibility modifiers

| Property        | Value                                |
| --------------- | ------------------------------------ |
| Id              | RCS1018                              |
| Severity        | None                                 |
| Required option | `roslynator_accessibility_modifiers` |

## Example

### Code with Diagnostic

```csharp
class Foo // RCS1018
{
    void Bar() // RCS1018
    {
    }
}
```

### Code with Fix

```csharp
internal class Foo
{
    private void Bar()
    {
    }
}
```

## Options

### Prefer explicit/implicit accessibility modifiers

```editorconfig
roslynator_accessibility_modifiers = explicit|implicit
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*