# RCS1051: Add/remove parentheses from condition in conditional operator

| Property        | Value                                                         |
| --------------- | ------------------------------------------------------------- |
| Id              | RCS1051                                                       |
| Severity        | None                                                          |
| Required option | `roslynator_conditional_operator_condition_parentheses_style` |

## Example

### Code with Diagnostic

```csharp
x = y != null ? "true" : "false"
```

### Code with Fix

```csharp
x = (y != null) ? "true" : "false"
```

## Options

### Add/remove parentheses to/from condition in conditional operator

```editorconfig
roslynator_conditional_operator_condition_parentheses_style = include|omit|omit_when_condition_is_single_token
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*