# \[deprecated\] RCS1057: Add empty line between declarations

| Property | Value   |
| -------- | ------- |
| Id       | RCS1057 |
| Severity | None    |

## Example

### Code with Diagnostic

```csharp
class Foo
{
    void M1()
    {
    } // RCS1057
    void M2()
    {
    } // RCS1057
    /// <summary>
    /// ...
    /// </summary>
    void M3()
    {
    } // RCS1057
    string P1 { get; set; } // RCS1057
    [Obsolete]
    string P2 { get; set; }
} // RCS1057
enum Bar
{
    A = 0, // RCS1057
    /// <summary>
    /// ...
    /// </summary>
    B = 1, // RCS1057
    [Obsolete]
    C = 2,
}
```

### Code with Fix

```csharp
class Foo
{
    void M1()
    {
    }

    void M2()
    {
    }

    /// <summary>
    /// ...
    /// </summary>
    void M3()
    {
    }

    string P1 { get; set; }

    [Obsolete]
    string P2 { get; set; }
}

enum Bar
{
    A = 0,

    /// <summary>
    /// ...
    /// </summary>
    B = 1,

    [Obsolete]
    C = 2,
}
```

## Remarks

This analyzer does not enforce an empty line between two single-line declaration.
*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*