# RCS1066: Remove empty 'finally' clause

| Property | Value   |
| -------- | ------- |
| Id       | RCS1066 |
| Severity | Hidden  |

## Examples

### Code with Diagnostic

```csharp
try
{
    Foo();
}
finally // RCS1066
{
}
```

### Code with Fix

```csharp
Foo();
```

- - -

### Code with Diagnostic

```csharp
try
{
    Foo();
}
catch (Exception ex)
{
}
finally // RCS1066
{
}
```

### Code with Fix

```csharp
try
{
    Foo();
}
catch (Exception ex)
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*