# RCS1104: Simplify conditional expression

| Property | Value   |
| -------- | ------- |
| Id       | RCS1104 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
bool x = y ? true : false;
```

### Code with Fix

```csharp
bool x = y;
```

- - -

### Code with Diagnostic

```csharp
bool x = y ? false : true;
```

### Code with Fix

```csharp
bool x = !y;
```

- - -

### Code with Diagnostic

```csharp
bool x = y ? z : false;
```

### Code with Fix

```csharp
bool x = y && z;
```

- - -

### Code with Diagnostic

```csharp
bool x = y ? true : z;
```

### Code with Fix

```csharp
bool x = y || z;
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*