# RCS1140: Add exception to documentation comment

| Property | Value   |
| -------- | ------- |
| Id       | RCS1140 |
| Severity | Hidden  |

## Example

### Code with Diagnostic

```csharp
/// <summary>
/// ...
/// </summary>
/// <param name="parameter"></param>
public void Foo(object parameter)
{
    if (parameter == null)
        throw new ArgumentNullException(nameof(parameter)); // RCS1140
}
```

### Code with Fix

```csharp
/// <summary>
/// ...
/// </summary>
/// <param name="parameter"></param>
/// <exception cref="ArgumentNullException"><paramref name="parameter"/> is <c>null</c>.</exception>
public void Foo(object parameter)
{
    if (parameter == null)
        throw new ArgumentNullException(nameof(parameter));
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*