# RCS1151: Remove redundant cast

| Property | Value   |
| -------- | ------- |
| Id       | RCS1151 |
| Severity | Hidden  |

## Examples

### Code with Diagnostic

```csharp
var b = new Base();

((Foo)b).Bar(); // RCS1151
```

### Code with Fix

```csharp
b.Bar();
```

- - -

### Code with Diagnostic

```csharp
IEnumerable<string> x = EnumerateStrings().Cast<string>();
```

### Code with Fix

```csharp
IEnumerable<string> x = EnumerateStrings();
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*