# RCS1181: Convert comment to documentation comment

| Property | Value   |
| -------- | ------- |
| Id       | RCS1181 |
| Severity | Hidden  |

## Examples

### Code with Diagnostic

```csharp
// Represents foo. // RCS1181
public class Foo
{
}
```

### Code with Fix

```csharp
/// <summary>
/// Represents foo.
/// </summary>
public class Foo
{
}
```

- - -

### Code with Diagnostic

```csharp
public string Value { get; } // Gets a value.
```

### Code with Fix

```csharp
/// <summary>
/// Gets a value.
/// </summary>
public string Value { get; }
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*