# RCS1199: Unnecessary null check

| Property | Value   |
| -------- | ------- |
| Id       | RCS1199 |
| Severity | Info    |

## Examples

### Code with Diagnostic

```csharp
bool? x = null;

// ...

if (x.HasValue && x.Value) // RCS1199
{
}
```

### Code with Fix

```csharp
if (x == true)
{
}
```

- - -

### Code with Diagnostic

```csharp
bool? x = null;
bool y = false;

// ...

if (x != null && x.Value == y) // RCS1199
{
}
```

### Code with Fix

```csharp
if (x == y)
{
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*