# RCS1206: Use conditional access instead of conditional expression

| Property                 | Value   |
| ------------------------ | ------- |
| Id                       | RCS1206 |
| Severity                 | Info    |
| Minimum language version | 6\.0    |

## Examples

### Code with Diagnostic

```csharp
var x = new Foo();

// ...

        string s = (x != null) ? x.ToString() : null; // RCS1206
```

### Code with Fix

```csharp
string s = x?.ToString();
```

- - -

### Code with Diagnostic

```csharp
int? x = null;

// ...

int i = (x != null) ? x.Value.GetHashCode() : 0; // RCS1206
```

### Code with Fix

```csharp
int i = x?.GetHashCode() ?? 0;
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*