# RCS1210: Return completed task instead of returning null

| Property | Value   |
| -------- | ------- |
| Id       | RCS1210 |
| Severity | Warning |

## Examples

### Code with Diagnostic

```csharp
Task<object> GetAsync()
{
    return null; // RCS1210
}
```

### Code with Fix

```csharp
Task<object> GetAsync()
{
    return Task.FromResult<object>(null);
}
```

- - -

### Code with Diagnostic

```csharp
Task<object> GetAsync()
{
    return _foo?.GetAsync(); // RCS1210
}
```

### Code with Fix

```csharp
Task<object> GetAsync()
{
    Foo x = _foo;
    if (x != null)
    {
        return _foo.GetAsync();
    }
    else
    {
        return Task.FromResult<object>(null);
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*