# RCS1215: Expression is always equal to true/false

| Property | Value   |
| -------- | ------- |
| Id       | RCS1215 |
| Severity | Warning |

## Examples

### Code with Diagnostic

```csharp
uint i = 0;

// ...

if (i >= 0) // RCS1215
{
}
```

- - -

### Code with Diagnostic

```csharp
var items = new List<object>();

// ...


if (items.Count < 0) // RCS1215
{
}
```

- - -

### Code with Diagnostic

```csharp
x == double.NaN
```

### Code with Fix

```csharp
double.IsNaN(x)
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*