# RCS1221: Use pattern matching instead of combination of 'as' operator and null check

| Property                 | Value   |
| ------------------------ | ------- |
| Id                       | RCS1221 |
| Severity                 | Info    |
| Minimum language version | 7\.0    |

## Example

### Code with Diagnostic

```csharp
var y = x as Foo; // RCS1221

if (y == null)
{
    return;
}
```

### Code with Fix

```csharp
if (!(x is Foo y))
{
    return;
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*