# RCS1224: Make method an extension method

| Property | Value   |
| -------- | ------- |
| Id       | RCS1224 |
| Severity | Info    |

## Summary

Public/internal method in public/internal static class whose name ends with "Extensions" should be an extension method.

## Example

### Code with Diagnostic

```csharp
public static class FooExtensions
{
    public static string Bar(Foo foo) // RCS1224
    {
    }
}
```

### Code with Fix

```csharp
public static class FooExtensions
{
    public static string Bar(this Foo foo)
    {
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*