# RCS1229: Use async/await when necessary

| Property | Value   |
| -------- | ------- |
| Id       | RCS1229 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
Task<object> FooAsync()
{
    using (var service = CreateService()) // RCS1229
    {
        return service.GetAsync();
    }
}
```

### Code with Fix

```csharp
async Task<object> FooAsync()
{
    using (var service = CreateService())
    {
        return await service.GetAsync();
    }
}
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*