# RCS1248: Normalize null check

| Property                 | Value                                  |
| ------------------------ | -------------------------------------- |
| Id                       | RCS1248                                |
| Severity                 | None                                   |
| Minimum language version | 7\.0 \(9\.0 for 'is not null' syntax\) |
| Required option          | `roslynator_null_check_style`          |

## Example

### Code with Diagnostic

```csharp
x == null
```

### Code with Fix

```csharp
x is null
```

## Options

### Use equality operator or pattern matchding as a null check

```editorconfig
roslynator_null_check_style = equality_operator|pattern_matching
```


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*