# RCS9008: Call 'Last' instead of using \[\]

| Property | Value   |
| -------- | ------- |
| Id       | RCS9008 |
| Severity | Info    |

## Example

### Code with Diagnostic

```csharp
syntaxList[syntaxList.Count - 1]
```

### Code with Fix

```csharp
!syntaxList.Last()
```

## Remarks

This analyzer is applicable for following types:
* `Microsoft.CodeAnalysis.ChildSyntaxList`
* `Microsoft.CodeAnalysis.SeparatedSyntaxList<TNode>`
* `Microsoft.CodeAnalysis.SyntaxList<TNode>`
* `Microsoft.CodeAnalysis.SyntaxNodeOrTokenList`
* `Microsoft.CodeAnalysis.SyntaxTokenList`
* `Microsoft.CodeAnalysis.SyntaxTriviaList`

## Applies to

* [Roslynator.CodeAnalysis.Analyzers](https://www.nuget.org/packages/Roslynator.CodeAnalysis.Analyzers)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*