# [INamedTypeSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.inamedtypesymbol) Interface Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [FindMember\<TSymbol\>(INamedTypeSymbol, Func\<TSymbol, Boolean\>, Boolean)](../../../Roslynator/SymbolExtensions/FindMember/README.md#996682075) | Searches for a member that matches the conditions defined by the specified predicate and returns the first occurrence within the type's members\. |
| [FindMember\<TSymbol\>(INamedTypeSymbol, String, Func\<TSymbol, Boolean\>, Boolean)](../../../Roslynator/SymbolExtensions/FindMember/README.md#358208601) | Searches for a member that has the specified name and matches the conditions defined by the specified predicate, if any, and returns the first occurrence within the type's members\. |
| [FindTypeMember(INamedTypeSymbol, Func\<INamedTypeSymbol, Boolean\>, Boolean)](../../../Roslynator/SymbolExtensions/FindTypeMember/README.md#931525377) | Searches for a type member that matches the conditions defined by the specified predicate and returns the first occurrence within the type's members\. |
| [FindTypeMember(INamedTypeSymbol, String, Func\<INamedTypeSymbol, Boolean\>, Boolean)](../../../Roslynator/SymbolExtensions/FindTypeMember/README.md#4255324844) | Searches for a type member that has the specified name and matches the conditions defined by the specified predicate, if any, and returns the first occurrence within the type's members\. |
| [FindTypeMember(INamedTypeSymbol, String, Int32, Func\<INamedTypeSymbol, Boolean\>, Boolean)](../../../Roslynator/SymbolExtensions/FindTypeMember/README.md#3885424205) | Searches for a type member that has the specified name, arity and matches the conditions defined by the specified predicate, if any, and returns the first occurrence within the type's members\. |
| [IsNullableOf(INamedTypeSymbol, ITypeSymbol)](../../../Roslynator/SymbolExtensions/IsNullableOf/README.md#831430666) | Returns true if the type is [Nullable\<T\>](https://docs.microsoft.com/en-us/dotnet/api/system.nullable-1) and it has specified type argument\. |
| [IsNullableOf(INamedTypeSymbol, SpecialType)](../../../Roslynator/SymbolExtensions/IsNullableOf/README.md#1928104294) | Returns true if the type is [Nullable\<T\>](https://docs.microsoft.com/en-us/dotnet/api/system.nullable-1) and it has specified type argument\. |

