# [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1) Struct Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [All\<TNode\>(SeparatedSyntaxList\<TNode\>, Func\<TNode, Boolean\>)](../../../Roslynator/SyntaxExtensions/All/README.md#1104261355) | Returns true if all nodes in a list matches the predicate\. |
| [Any\<TNode\>(SeparatedSyntaxList\<TNode\>, Func\<TNode, Boolean\>)](../../../Roslynator/SyntaxExtensions/Any/README.md#3469033055) | Returns true if any node in a list matches the predicate\. |
| [Contains\<TNode\>(SeparatedSyntaxList\<TNode\>, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/Contains/README.md#434684779) | Searches for a node of the specified kind and returns the zero\-based index of the first occurrence within the entire [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)\. |
| [Contains\<TNode\>(SeparatedSyntaxList\<TNode\>, TNode)](../../../Roslynator/SyntaxExtensions/Contains/README.md#1049481281) | Returns true if the specified node is in the [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)\. |
| [Find\<TNode\>(SeparatedSyntaxList\<TNode\>, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/Find/README.md#3431504454) | Searches for a node of the specified kind and returns the first occurrence within the entire [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)\. |
| [GetTrailingSeparator\<TNode\>(SeparatedSyntaxList\<TNode\>)](../../../Roslynator/SyntaxExtensions/GetTrailingSeparator/README.md) | Returns the trailing separator, if any\. |
| [HasTrailingSeparator\<TNode\>(SeparatedSyntaxList\<TNode\>)](../../../Roslynator/SyntaxExtensions/HasTrailingSeparator/README.md) | Returns true if the specified list contains trailing separator\. |
| [IsFirst\<TNode\>(SeparatedSyntaxList\<TNode\>, TNode)](../../../Roslynator/SyntaxExtensions/IsFirst/README.md#1292391442) | Returns true if the specified node is a first node in the list\. |
| [IsLast\<TNode\>(SeparatedSyntaxList\<TNode\>, TNode)](../../../Roslynator/SyntaxExtensions/IsLast/README.md#3058017669) | Returns true if the specified node is a last node in the list\. |
| [LastIndexOf\<TNode\>(SeparatedSyntaxList\<TNode\>, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/LastIndexOf/README.md#1073548081) | Searches for a node of the specified kind and returns the zero\-based index of the last occurrence within the entire [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)\. |
| [RemoveRange\<TNode\>(SeparatedSyntaxList\<TNode\>, Int32, Int32)](../../../Roslynator/CSharp/SyntaxExtensions/RemoveRange/README.md#1305034856) | Creates a new list with elements in the specified range removed\. |
| [ReplaceAt\<TNode\>(SeparatedSyntaxList\<TNode\>, Int32, TNode)](../../../Roslynator/SyntaxExtensions/ReplaceAt/README.md#3499086875) | Creates a new list with a node at the specified index replaced with a new node\. |
| [ReplaceRange\<TNode\>(SeparatedSyntaxList\<TNode\>, Int32, Int32, IEnumerable\<TNode\>)](../../../Roslynator/CSharp/SyntaxExtensions/ReplaceRange/README.md#607003656) | Creates a new list with the elements in the specified range replaced with new nodes\. |
| [ReplaceRange\<TNode\>(SeparatedSyntaxList\<TNode\>, Int32, Int32, TNode)](../../../Roslynator/CSharp/SyntaxExtensions/ReplaceRange/README.md#2148171151) | Creates a new list with the elements in the specified range replaced with new node\. |
| [TrimTrivia\<TNode\>(SeparatedSyntaxList\<TNode\>)](../../../Roslynator/CSharp/SyntaxExtensions/TrimTrivia/README.md#1776013108) | Removes all leading whitespace from the leading trivia of the first node in a list and all trailing whitespace from the trailing trivia of the last node in a list and returns a new list with the new trivia\. [SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia) and [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia) is considered to be a whitespace\. |
| [WithTriviaFrom\<TNode\>(SeparatedSyntaxList\<TNode\>, SyntaxNode)](../../../Roslynator/SyntaxExtensions/WithTriviaFrom/README.md#2087578213) | Creates a new separated list with both leading and trailing trivia of the specified node\. If the list contains more than one item, first item is updated with leading trivia and last item is updated with trailing trivia\. |

