# [SyntaxToken](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtoken) Struct Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [AppendToLeadingTrivia(SyntaxToken, IEnumerable\<SyntaxTrivia\>)](../../../Roslynator/SyntaxExtensions/AppendToLeadingTrivia/README.md#2690812841) | Creates a new token from this token with the leading trivia replaced with a new trivia where the specified trivia is added at the end of the leading trivia\. |
| [AppendToLeadingTrivia(SyntaxToken, SyntaxTrivia)](../../../Roslynator/SyntaxExtensions/AppendToLeadingTrivia/README.md#2537170499) | Creates a new token from this token with the leading trivia replaced with a new trivia where the specified trivia is added at the end of the leading trivia\. |
| [AppendToTrailingTrivia(SyntaxToken, IEnumerable\<SyntaxTrivia\>)](../../../Roslynator/SyntaxExtensions/AppendToTrailingTrivia/README.md#682978820) | Creates a new token from this token with the trailing trivia replaced with a new trivia where the specified trivia is added at the end of the trailing trivia\. |
| [AppendToTrailingTrivia(SyntaxToken, SyntaxTrivia)](../../../Roslynator/SyntaxExtensions/AppendToTrailingTrivia/README.md#2809312657) | Creates a new token from this token with the trailing trivia replaced with a new trivia where the specified trivia is added at the end of the trailing trivia\. |
| [IsKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#3094724497) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#3356796170) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#907715724) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#3793139866) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxToken, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#3033402641) | Returns true if a token's kind is one of the specified kinds\. |
| [IsParentKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsParentKind/README.md#3000055021) | Returns true if a token parent's kind is one of the specified kinds\. |
| [IsParentKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsParentKind/README.md#3691311238) | Returns true if a token parent's kind is one of the specified kinds\. |
| [IsParentKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsParentKind/README.md#3746288239) | Returns true if a token parent's kind is one of the specified kinds\. |
| [IsParentKind(SyntaxToken, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsParentKind/README.md#2940773750) | Returns true if a token parent's kind is one of the specified kinds\. |
| [IsParentKind(SyntaxToken, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsParentKind/README.md#4201641965) | Returns true if a token parent's kind is one of the specified kinds\. |
| [IsParentKind(SyntaxToken, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsParentKind/README.md#2159706118) | Returns true if a token parent's kind is the specified kind\. |
| [LeadingAndTrailingTrivia(SyntaxToken)](../../../Roslynator/SyntaxExtensions/LeadingAndTrailingTrivia/README.md) | Returns leading and trailing trivia of the specified node in a single list\. |
| [PrependToLeadingTrivia(SyntaxToken, IEnumerable\<SyntaxTrivia\>)](../../../Roslynator/SyntaxExtensions/PrependToLeadingTrivia/README.md#640281292) | Creates a new token from this token with the leading trivia replaced with a new trivia where the specified trivia is inserted at the beginning of the leading trivia\. |
| [PrependToLeadingTrivia(SyntaxToken, SyntaxTrivia)](../../../Roslynator/SyntaxExtensions/PrependToLeadingTrivia/README.md#2404824921) | Creates a new token from this token with the leading trivia replaced with a new trivia where the specified trivia is inserted at the beginning of the leading trivia\. |
| [PrependToTrailingTrivia(SyntaxToken, IEnumerable\<SyntaxTrivia\>)](../../../Roslynator/SyntaxExtensions/PrependToTrailingTrivia/README.md#3817969325) | Creates a new token from this token with the trailing trivia replaced with a new trivia where the specified trivia is inserted at the beginning of the trailing trivia\. |
| [PrependToTrailingTrivia(SyntaxToken, SyntaxTrivia)](../../../Roslynator/SyntaxExtensions/PrependToTrailingTrivia/README.md#1356374860) | Creates a new token from this token with the trailing trivia replaced with a new trivia where the specified trivia is inserted at the beginning of the trailing trivia\. |
| [TrimLeadingTrivia(SyntaxToken)](../../../Roslynator/CSharp/SyntaxExtensions/TrimLeadingTrivia/README.md#1084780771) | Removes all leading whitespace from the leading trivia and returns a new token with the new leading trivia\. [SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia) and [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia) is considered to be a whitespace\. Returns the same token if there is nothing to trim\. |
| [TrimTrailingTrivia(SyntaxToken)](../../../Roslynator/CSharp/SyntaxExtensions/TrimTrailingTrivia/README.md#3749666890) | Removes all trailing whitespace from the trailing trivia and returns a new token with the new trailing trivia\. [SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia) and [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia) is considered to be a whitespace\. Returns the same token if there is nothing to trim\. |
| [TrimTrivia(SyntaxToken)](../../../Roslynator/CSharp/SyntaxExtensions/TrimTrivia/README.md#3557770056) | Removes all leading whitespace from the leading trivia and all trailing whitespace from the trailing trivia and returns a new token with the new trivia\. [SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia) and [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia) is considered to be a whitespace\. Returns the same token if there is nothing to trim\. |
| [WithFormatterAnnotation(SyntaxToken)](../../../Roslynator/CSharp/WorkspaceSyntaxExtensions/WithFormatterAnnotation/README.md#1202034538) | Adds [Formatter.Annotation](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.formatting.formatter.annotation) to the specified token, creating a new token of the same type with the [Formatter.Annotation](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.formatting.formatter.annotation) on it\. |
| [WithNavigationAnnotation(SyntaxToken)](../../../Roslynator/CSharp/WorkspaceSyntaxExtensions/WithNavigationAnnotation/README.md) | Adds navigation annotation to the specified token, creating a new token of the same type with the navigation annotation on it\. Navigation annotation allows to mark a token that should be selected after the code action is applied\. |
| [WithoutLeadingTrivia(SyntaxToken)](../../../Roslynator/SyntaxExtensions/WithoutLeadingTrivia/README.md#43937718) | Creates a new token from this token with the leading trivia removed\. |
| [WithoutTrailingTrivia(SyntaxToken)](../../../Roslynator/SyntaxExtensions/WithoutTrailingTrivia/README.md#3451371873) | Creates a new token from this token with the trailing trivia removed\. |
| [WithRenameAnnotation(SyntaxToken)](../../../Roslynator/CSharp/WorkspaceSyntaxExtensions/WithRenameAnnotation/README.md) | Adds "rename" annotation to the specified token, creating a new token of the same type with the "rename" annotation on it\. "Rename" annotation is specified by [RenameAnnotation.Kind](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.codeactions.renameannotation.kind)\. |
| [WithSimplifierAnnotation(SyntaxToken)](../../../Roslynator/CSharp/WorkspaceSyntaxExtensions/WithSimplifierAnnotation/README.md#1047085782) | Adds [Simplifier.Annotation](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.simplification.simplifier.annotation) to the specified token, creating a new token of the same type with the [Simplifier.Annotation](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.simplification.simplifier.annotation) on it\. "Rename" annotation is specified by [RenameAnnotation.Kind](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.codeactions.renameannotation.kind)\. |
| [WithTriviaFrom(SyntaxToken, SyntaxNode)](../../../Roslynator/SyntaxExtensions/WithTriviaFrom/README.md#3436644061) | Creates a new token from this token with both the leading and trailing trivia of the specified node\. |

