# [SyntaxTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivia) Struct Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [IsEndOfLineTrivia(SyntaxTrivia)](../../../Roslynator/CSharp/SyntaxExtensions/IsEndOfLineTrivia/README.md) | Returns true if the trivia is [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia)\. |
| [IsKind(SyntaxTrivia, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#2923191543) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxTrivia, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#3366590052) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxTrivia, SyntaxKind, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#839254370) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxTrivia, SyntaxKind, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#3487796432) | Returns true if a token's kind is one of the specified kinds\. |
| [IsKind(SyntaxTrivia, SyntaxKind, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/IsKind/README.md#94153864) | Returns true if a trivia's kind is one of the specified kinds\. |
| [IsWhitespaceOrEndOfLineTrivia(SyntaxTrivia)](../../../Roslynator/CSharp/SyntaxExtensions/IsWhitespaceOrEndOfLineTrivia/README.md) | Returns true if the trivia is either [SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia) or [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia)\. |
| [IsWhitespaceTrivia(SyntaxTrivia)](../../../Roslynator/CSharp/SyntaxExtensions/IsWhitespaceTrivia/README.md) | Returns true if the trivia is [SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia)\. |
| [TryGetContainingList(SyntaxTrivia, SyntaxTriviaList, Boolean, Boolean)](../../../Roslynator/SyntaxExtensions/TryGetContainingList/README.md) | Gets a [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist) the specified trivia is contained in\. |

