# [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist) Struct Extensions

[Home](../../../README.md)

| Extension Method | Summary |
| ---------------- | ------- |
| [All(SyntaxTriviaList, Func\<SyntaxTrivia, Boolean\>)](../../../Roslynator/SyntaxExtensions/All/README.md#1935784235) | Returns true if all trivia in a [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist) matches the predicate\. |
| [Any(SyntaxTriviaList, Func\<SyntaxTrivia, Boolean\>)](../../../Roslynator/SyntaxExtensions/Any/README.md#1292593986) | Returns true if any trivia in a [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist) matches the predicate\. |
| [Contains(SyntaxTriviaList, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/Contains/README.md#4171339383) | Returns true if a trivia of the specified kind is in the [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist)\. |
| [Find(SyntaxTriviaList, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/Find/README.md#972702330) | Searches for a trivia of the specified kind and returns the first occurrence within the entire [SyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxlist-1)\. |
| [IndexOf(SyntaxTriviaList, Func\<SyntaxTrivia, Boolean\>)](../../../Roslynator/SyntaxExtensions/IndexOf/README.md#2746233850) | Searches for a trivia that matches the predicate and returns the zero\-based index of the first occurrence within the entire [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist)\. |
| [IsEmptyOrWhitespace(SyntaxTriviaList)](../../../Roslynator/CSharp/SyntaxExtensions/IsEmptyOrWhitespace/README.md) | Returns true if the list of either empty or contains only whitespace \([SyntaxKind.WhitespaceTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.whitespacetrivia) or [SyntaxKind.EndOfLineTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntaxkind.endoflinetrivia)\)\. |
| [LastIndexOf(SyntaxTriviaList, SyntaxKind)](../../../Roslynator/CSharp/SyntaxExtensions/LastIndexOf/README.md#2989371063) | Searches for a trivia of the specified kind and returns the zero\-based index of the last occurrence within the entire [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist)\. |
| [RemoveRange(SyntaxTriviaList, Int32, Int32)](../../../Roslynator/CSharp/SyntaxExtensions/RemoveRange/README.md#2543741306) | Creates a new list with trivia in the specified range removed\. |
| [ReplaceAt(SyntaxTriviaList, Int32, SyntaxTrivia)](../../../Roslynator/SyntaxExtensions/ReplaceAt/README.md#3526169581) | Creates a new [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist) with a trivia at the specified index replaced with new trivia\. |
| [ReplaceRange(SyntaxTriviaList, Int32, Int32, IEnumerable\<SyntaxTrivia\>)](../../../Roslynator/CSharp/SyntaxExtensions/ReplaceRange/README.md#4063342571) | Creates a new list with the trivia in the specified range replaced with new trivia\. |

