# SyntaxExtensions\.BracesSpan Method

[Home](../../../../README.md)

**Containing Type**: [SyntaxExtensions](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [BracesSpan(ClassDeclarationSyntax)](#3880606548) | The absolute span of the braces, not including its leading and trailing trivia\. |
| [BracesSpan(EnumDeclarationSyntax)](#3795869771) | The absolute span of the braces, not including its leading and trailing trivia\. |
| [BracesSpan(InterfaceDeclarationSyntax)](#2155454711) | The absolute span of the braces, not including it leading and trailing trivia\. |
| [BracesSpan(NamespaceDeclarationSyntax)](#1419181908) | The absolute span of the braces, not including leading and trailing trivia\. |
| [BracesSpan(RecordDeclarationSyntax)](#1878584640) | The absolute span of the braces, not including its leading and trailing trivia\. |
| [BracesSpan(StructDeclarationSyntax)](#1044020368) | The absolute span of the braces, not including its leading and trailing trivia\. |

<a id="3880606548"></a>

## BracesSpan\(ClassDeclarationSyntax\) 

  
The absolute span of the braces, not including its leading and trailing trivia\.

```csharp
public static Microsoft.CodeAnalysis.Text.TextSpan BracesSpan(this Microsoft.CodeAnalysis.CSharp.Syntax.ClassDeclarationSyntax classDeclaration)
```

### Parameters

**classDeclaration** &ensp; [ClassDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.classdeclarationsyntax)

### Returns

[TextSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.text.textspan)

<a id="3795869771"></a>

## BracesSpan\(EnumDeclarationSyntax\) 

  
The absolute span of the braces, not including its leading and trailing trivia\.

```csharp
public static Microsoft.CodeAnalysis.Text.TextSpan BracesSpan(this Microsoft.CodeAnalysis.CSharp.Syntax.EnumDeclarationSyntax enumDeclaration)
```

### Parameters

**enumDeclaration** &ensp; [EnumDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.enumdeclarationsyntax)

### Returns

[TextSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.text.textspan)

<a id="2155454711"></a>

## BracesSpan\(InterfaceDeclarationSyntax\) 

  
The absolute span of the braces, not including it leading and trailing trivia\.

```csharp
public static Microsoft.CodeAnalysis.Text.TextSpan BracesSpan(this Microsoft.CodeAnalysis.CSharp.Syntax.InterfaceDeclarationSyntax interfaceDeclaration)
```

### Parameters

**interfaceDeclaration** &ensp; [InterfaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.interfacedeclarationsyntax)

### Returns

[TextSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.text.textspan)

<a id="1419181908"></a>

## BracesSpan\(NamespaceDeclarationSyntax\) 

  
The absolute span of the braces, not including leading and trailing trivia\.

```csharp
public static Microsoft.CodeAnalysis.Text.TextSpan BracesSpan(this Microsoft.CodeAnalysis.CSharp.Syntax.NamespaceDeclarationSyntax namespaceDeclaration)
```

### Parameters

**namespaceDeclaration** &ensp; [NamespaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.namespacedeclarationsyntax)

### Returns

[TextSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.text.textspan)

<a id="1878584640"></a>

## BracesSpan\(RecordDeclarationSyntax\) 

  
The absolute span of the braces, not including its leading and trailing trivia\.

```csharp
public static Microsoft.CodeAnalysis.Text.TextSpan BracesSpan(this Microsoft.CodeAnalysis.CSharp.Syntax.RecordDeclarationSyntax recordDeclaration)
```

### Parameters

**recordDeclaration** &ensp; [RecordDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.recorddeclarationsyntax)

### Returns

[TextSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.text.textspan)

<a id="1044020368"></a>

## BracesSpan\(StructDeclarationSyntax\) 

  
The absolute span of the braces, not including its leading and trailing trivia\.

```csharp
public static Microsoft.CodeAnalysis.Text.TextSpan BracesSpan(this Microsoft.CodeAnalysis.CSharp.Syntax.StructDeclarationSyntax structDeclaration)
```

### Parameters

**structDeclaration** &ensp; [StructDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.structdeclarationsyntax)

### Returns

[TextSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.text.textspan)

