# SyntaxInfo\.UsingDirectiveListInfo Method

[Home](../../../../README.md)

**Containing Type**: [SyntaxInfo](../README.md)

**Assembly**: Roslynator\.CSharp\.dll

## Overloads

| Method | Summary |
| ------ | ------- |
| [UsingDirectiveListInfo(CompilationUnitSyntax)](#2988176004) | Creates a new [UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md) from the specified compilation unit\. |
| [UsingDirectiveListInfo(NamespaceDeclarationSyntax)](#1618116571) | Creates a new [UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md) from the specified declaration\. |
| [UsingDirectiveListInfo(SyntaxNode)](#2203746611) | Creates a new [UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md) from the specified node\. |

<a id="2988176004"></a>

## UsingDirectiveListInfo\(CompilationUnitSyntax\) 

  
Creates a new [UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md) from the specified compilation unit\.

```csharp
public static Roslynator.CSharp.Syntax.UsingDirectiveListInfo UsingDirectiveListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.CompilationUnitSyntax compilationUnit)
```

### Parameters

**compilationUnit** &ensp; [CompilationUnitSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.compilationunitsyntax)

### Returns

[UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md)

<a id="1618116571"></a>

## UsingDirectiveListInfo\(NamespaceDeclarationSyntax\) 

  
Creates a new [UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md) from the specified declaration\.

```csharp
public static Roslynator.CSharp.Syntax.UsingDirectiveListInfo UsingDirectiveListInfo(Microsoft.CodeAnalysis.CSharp.Syntax.NamespaceDeclarationSyntax declaration)
```

### Parameters

**declaration** &ensp; [NamespaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.namespacedeclarationsyntax)

### Returns

[UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md)

<a id="2203746611"></a>

## UsingDirectiveListInfo\(SyntaxNode\) 

  
Creates a new [UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md) from the specified node\.

```csharp
public static Roslynator.CSharp.Syntax.UsingDirectiveListInfo UsingDirectiveListInfo(Microsoft.CodeAnalysis.SyntaxNode node)
```

### Parameters

**node** &ensp; [SyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnode)

### Returns

[UsingDirectiveListInfo](../../Syntax/UsingDirectiveListInfo/README.md)

