# FileLinePositionSpanExtensions Class

[Home](../../README.md) &#x2022; [Methods](#methods)

**Namespace**: [Roslynator](../README.md)

**Assembly**: Roslynator\.Core\.dll

  
A set of extension methods for [FileLinePositionSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.filelinepositionspan)\.

```csharp
public static class FileLinePositionSpanExtensions
```

## Methods

| Method | Summary |
| ------ | ------- |
| [EndLine(FileLinePositionSpan)](EndLine/README.md) | Returns zero\-based index of the end line of the specified span\. |
| [IsMultiLine(FileLinePositionSpan)](IsMultiLine/README.md) | Returns true if the specified [FileLinePositionSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.filelinepositionspan) spans over multiple lines\. |
| [IsSingleLine(FileLinePositionSpan)](IsSingleLine/README.md) | Returns true if the specified [FileLinePositionSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.filelinepositionspan) does not span over multiple lines\. |
| [StartLine(FileLinePositionSpan)](StartLine/README.md) | Returns zero\-based index of the start line of the specified span\. |

