# Visibility Enum

[Home](../../README.md) &#x2022; [Fields](#fields)

**Namespace**: [Roslynator](../README.md)

**Assembly**: Roslynator\.Core\.dll

  
Specifies visibility of a symbol\.

```csharp
public enum Visibility
```

### Inheritance

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object) &#x2192; [ValueType](https://docs.microsoft.com/en-us/dotnet/api/system.valuetype) &#x2192; [Enum](https://docs.microsoft.com/en-us/dotnet/api/system.enum) &#x2192; Visibility

## Fields

| Name | Value | Summary |
| ---- | ----- | ------- |
| NotApplicable | 0 | No visibility specified\. |
| Private | 1 | Symbol is privately visible\. |
| Internal | 2 | Symbol is internally visible\. |
| Public | 3 | Symbol is publicly visible\. |

