## Convert 'if' to 'switch'

| Property           | Value                                   |
| ------------------ | --------------------------------------- |
| Id                 | RR0133                                  |
| Title              | Convert 'if' to 'switch'                |
| Syntax             | if statement                            |
| Span               | top if keyword or selected if statement |
| Enabled by Default | &#x2713;                                |

### Usage

#### Before

```csharp
var ch = stringReader.Read();

if (ch == 10 || ch == 13)
{
    return;
}
else
{
    stringBuilder.Append(ch);
}
```

#### After

```csharp
var ch = stringReader.Read();

switch (ch)
{
    case 10:
    case 13:
        {
            return;
        }

    default:
        {
            stringBuilder.Append(ch);
            break;
        }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*