## Initialize field from constructor

| Property           | Value                             |
| ------------------ | --------------------------------- |
| Id                 | RR0197                            |
| Title              | Initialize field from constructor |
| Syntax             | field declaration                 |
| Span               | identifier                        |
| Enabled by Default | &#x2713;                          |

### Usage

#### Before

```csharp
public class Foo
{
    private string _bar;

    public Foo()
    {
    }

    public Foo(object parameter)
    {
    }

    public Foo(object parameter1, object parameter2)
        : this(parameter1)
    {
    }
}
```

#### After

```csharp
public class Foo
{
    private string _bar;

    public Foo(string bar)
    {
        _bar = bar;
    }

    public Foo(object parameter, string bar)
    {
        _bar = bar;
    }

    public Foo(object parameter1, object parameter2, string bar)
        : this(parameter1, bar)
    {
        _bar = bar;
    }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*