## Use enumerator explicitly

| Property           | Value                     |
| ------------------ | ------------------------- |
| Id                 | RR0206                    |
| Title              | Use enumerator explicitly |
| Syntax             | foreach statement         |
| Span               | foreach keyword           |
| Enabled by Default | &#x2713;                  |

### Usage

#### Before

```csharp
foreach (var item in items)
{
    yield return item;
}
```

#### After

```csharp
using (var en = items.GetEnumerator())
{
    while (en.MoveNext())
    {
        yield return item;
    }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*