## Convert statements to if\-else

| Property           | Value                                                          |
| ------------------ | -------------------------------------------------------------- |
| Id                 | RR0211                                                         |
| Title              | Convert statements to if\-else                                 |
| Syntax             | selected statements \(first statement must be 'if' statement\) |
| Enabled by Default | &#x2713;                                                       |

### Usage

#### Before

```csharp
if (x)
    return 1;

if (y)
{
    return 2;
}
else if (z)
{
    return 3;
}

return 0;
```

#### After

```csharp
if (x)
{
    return 1;
}
else if (y)
{
    return 2;
}
else if (z)
{
    return 3;
}
else
{
    return 0;
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*