## Add all properties to initializer

| Property           | Value                             |
| ------------------ | --------------------------------- |
| Id                 | RR0216                            |
| Title              | Add all properties to initializer |
| Syntax             | object/record initializer         |
| Enabled by Default | &#x2713;                          |

### Usage

#### Before

```csharp
class C
{
  public string P1 { get; set; }
  public string P2 { get; set; }

  void M()
  {
      var x = new C() { };
  }
}
```

#### After

```csharp
class C
{
  public string P1 { get; set; }
  public string P2 { get; set; }

  void M()
  {
      var x = new C() { P1 = , P2 = };
  }
}
```

## See Also

* [Full list of refactorings](Refactorings.md)


*\(Generated with [DotMarkdown](http://github.com/JosefPihrt/DotMarkdown)\)*