# Roslynator\.CSharp

[Types](#types) &#x2022; [Class Hierarchy](#class-hierarchy) &#x2022; [Other](#other)

## Types

* [Roslynator.CSharp](../../docs/api/Roslynator/CSharp/README.md)
  * [CSharpExtensions](../../docs/api/Roslynator/CSharp/CSharpExtensions/README.md)
  * [CSharpFactory](../../docs/api/Roslynator/CSharp/CSharpFactory/README.md)
  * [CSharpFacts](../../docs/api/Roslynator/CSharp/CSharpFacts/README.md)
  * [MemberDeclarationListSelection](../../docs/api/Roslynator/CSharp/MemberDeclarationListSelection/README.md)
  * [ModifierList](../../docs/api/Roslynator/CSharp/ModifierList/README.md)
  * [ModifierList\<TNode\>](../../docs/api/Roslynator/CSharp/ModifierList-1/README.md)
  * [Modifiers](../../docs/api/Roslynator/CSharp/Modifiers/README.md)
  * [StatementListSelection](../../docs/api/Roslynator/CSharp/StatementListSelection/README.md)
  * [SymbolExtensions](../../docs/api/Roslynator/CSharp/SymbolExtensions/README.md)
  * [SyntaxAccessibility](../../docs/api/Roslynator/CSharp/SyntaxAccessibility/README.md)
  * [SyntaxExtensions](../../docs/api/Roslynator/CSharp/SyntaxExtensions/README.md)
  * [SyntaxInfo](../../docs/api/Roslynator/CSharp/SyntaxInfo/README.md)
  * [ExpressionChain](../../docs/api/Roslynator/CSharp/ExpressionChain/README.md)
  * [ExpressionChain.Enumerator](../../docs/api/Roslynator/CSharp/ExpressionChain/Enumerator/README.md)
  * [ExpressionChain.Reversed](../../docs/api/Roslynator/CSharp/ExpressionChain/Reversed/README.md)
  * [ExpressionChain.Reversed.Enumerator](../../docs/api/Roslynator/CSharp/ExpressionChain/Reversed/Enumerator/README.md)
  * [IfStatementCascade](../../docs/api/Roslynator/CSharp/IfStatementCascade/README.md)
  * [IfStatementCascade.Enumerator](../../docs/api/Roslynator/CSharp/IfStatementCascade/Enumerator/README.md)
  * [IfStatementCascadeInfo](../../docs/api/Roslynator/CSharp/IfStatementCascadeInfo/README.md)
  * [IfStatementOrElseClause](../../docs/api/Roslynator/CSharp/IfStatementOrElseClause/README.md)
  * [CommentFilter](../../docs/api/Roslynator/CSharp/CommentFilter/README.md)
  * [ModifierFilter](../../docs/api/Roslynator/CSharp/ModifierFilter/README.md)
  * [NullCheckStyles](../../docs/api/Roslynator/CSharp/NullCheckStyles/README.md)
  * [PreprocessorDirectiveFilter](../../docs/api/Roslynator/CSharp/PreprocessorDirectiveFilter/README.md)
* [Roslynator.CSharp.Syntax](../../docs/api/Roslynator/CSharp/Syntax/README.md)
  * [AsExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/AsExpressionInfo/README.md)
  * [AssignmentExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/AssignmentExpressionInfo/README.md)
  * [BinaryExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/BinaryExpressionInfo/README.md)
  * [ConditionalExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/ConditionalExpressionInfo/README.md)
  * [GenericInfo](../../docs/api/Roslynator/CSharp/Syntax/GenericInfo/README.md)
  * [IsExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/IsExpressionInfo/README.md)
  * [LocalDeclarationStatementInfo](../../docs/api/Roslynator/CSharp/Syntax/LocalDeclarationStatementInfo/README.md)
  * [MemberDeclarationListInfo](../../docs/api/Roslynator/CSharp/Syntax/MemberDeclarationListInfo/README.md)
  * [ModifierListInfo](../../docs/api/Roslynator/CSharp/Syntax/ModifierListInfo/README.md)
  * [NullCheckExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/NullCheckExpressionInfo/README.md)
  * [RegionInfo](../../docs/api/Roslynator/CSharp/Syntax/RegionInfo/README.md)
  * [SimpleAssignmentExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/SimpleAssignmentExpressionInfo/README.md)
  * [SimpleAssignmentStatementInfo](../../docs/api/Roslynator/CSharp/Syntax/SimpleAssignmentStatementInfo/README.md)
  * [SimpleIfStatementInfo](../../docs/api/Roslynator/CSharp/Syntax/SimpleIfStatementInfo/README.md)
  * [SimpleMemberInvocationExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/SimpleMemberInvocationExpressionInfo/README.md)
  * [SimpleMemberInvocationStatementInfo](../../docs/api/Roslynator/CSharp/Syntax/SimpleMemberInvocationStatementInfo/README.md)
  * [SingleLocalDeclarationStatementInfo](../../docs/api/Roslynator/CSharp/Syntax/SingleLocalDeclarationStatementInfo/README.md)
  * [SingleParameterLambdaExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/SingleParameterLambdaExpressionInfo/README.md)
  * [StatementListInfo](../../docs/api/Roslynator/CSharp/Syntax/StatementListInfo/README.md)
  * [StringConcatenationExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/StringConcatenationExpressionInfo/README.md)
  * [StringLiteralExpressionInfo](../../docs/api/Roslynator/CSharp/Syntax/StringLiteralExpressionInfo/README.md)
  * [UsingDirectiveListInfo](../../docs/api/Roslynator/CSharp/Syntax/UsingDirectiveListInfo/README.md)
  * [XmlElementInfo](../../docs/api/Roslynator/CSharp/Syntax/XmlElementInfo/README.md)

## Class Hierarchy

* &ensp; \([Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\)<a id="class-hierarchy-System_Object"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [ModifierList\<TNode\>](../../docs/api/Roslynator/CSharp/ModifierList-1/README.md)<a id="class-hierarchy-Roslynator_CSharp_ModifierList_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; \(Roslynator\.SyntaxListSelection\<TNode\>\)<a id="class-hierarchy-Roslynator_SyntaxListSelection_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_SyntaxListSelection_1 "SyntaxListSelection<TNode>") &ensp; [MemberDeclarationListSelection](../../docs/api/Roslynator/CSharp/MemberDeclarationListSelection/README.md)<a id="class-hierarchy-Roslynator_CSharp_MemberDeclarationListSelection"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_SyntaxListSelection_1 "SyntaxListSelection<TNode>") &ensp; [StatementListSelection](../../docs/api/Roslynator/CSharp/StatementListSelection/README.md)<a id="class-hierarchy-Roslynator_CSharp_StatementListSelection"></a>

## Extensions of External Types

* [System.Collections.Generic](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic)
  * [IEnumerable\<T\>](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic.ienumerable-1)
* [Microsoft.CodeAnalysis](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis)
  * [SemanticModel](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.semanticmodel)
  * [SyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnode)
  * [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)
  * [SyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxlist-1)
  * [SyntaxToken](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtoken)
  * [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)
  * [SyntaxTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivia)
  * [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist)
  * [INamespaceOrTypeSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.inamespaceortypesymbol)
  * [INamespaceSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.inamespacesymbol)
  * [ITypeSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.itypesymbol)
* [Microsoft.CodeAnalysis.CSharp.Syntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax)
  * [AccessorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.accessordeclarationsyntax)
  * [AccessorListSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.accessorlistsyntax)
  * [BinaryExpressionSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.binaryexpressionsyntax)
  * [CastExpressionSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.castexpressionsyntax)
  * [ClassDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.classdeclarationsyntax)
  * [CommonForEachStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.commonforeachstatementsyntax)
  * [CompilationUnitSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.compilationunitsyntax)
  * [ConstructorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.constructordeclarationsyntax)
  * [ConversionOperatorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.conversionoperatordeclarationsyntax)
  * [DelegateDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.delegatedeclarationsyntax)
  * [DestructorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.destructordeclarationsyntax)
  * [DirectiveTriviaSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.directivetriviasyntax)
  * [DocumentationCommentTriviaSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.documentationcommenttriviasyntax)
  * [ElseClauseSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.elseclausesyntax)
  * [EndRegionDirectiveTriviaSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.endregiondirectivetriviasyntax)
  * [EnumDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.enumdeclarationsyntax)
  * [ExpressionSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.expressionsyntax)
  * [ForStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.forstatementsyntax)
  * [IfStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.ifstatementsyntax)
  * [IndexerDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.indexerdeclarationsyntax)
  * [InterfaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.interfacedeclarationsyntax)
  * [InterpolatedStringExpressionSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.interpolatedstringexpressionsyntax)
  * [LiteralExpressionSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.literalexpressionsyntax)
  * [LocalFunctionStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.localfunctionstatementsyntax)
  * [MemberDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.memberdeclarationsyntax)
  * [MethodDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.methoddeclarationsyntax)
  * [NamespaceDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.namespacedeclarationsyntax)
  * [OperatorDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.operatordeclarationsyntax)
  * [ParameterSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.parametersyntax)
  * [PropertyDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.propertydeclarationsyntax)
  * [RecordDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.recorddeclarationsyntax)
  * [RegionDirectiveTriviaSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.regiondirectivetriviasyntax)
  * [StatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.statementsyntax)
  * [StructDeclarationSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.structdeclarationsyntax)
  * [SwitchSectionSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.switchsectionsyntax)
  * [SwitchStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.switchstatementsyntax)
  * [TypeSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.typesyntax)
  * [UsingStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.usingstatementsyntax)
  * [YieldStatementSyntax](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.csharp.syntax.yieldstatementsyntax)
