# Roslynator\.Core

[Types](#types) &#x2022; [Class Hierarchy](#class-hierarchy) &#x2022; [Other](#other)

## Types

* [Roslynator](../../docs/api/Roslynator/README.md)
  * [DiagnosticsExtensions](../../docs/api/Roslynator/DiagnosticsExtensions/README.md)
  * [EnumExtensions](../../docs/api/Roslynator/EnumExtensions/README.md)
  * [FileLinePositionSpanExtensions](../../docs/api/Roslynator/FileLinePositionSpanExtensions/README.md)
  * [MetadataNameEqualityComparer\<TSymbol\>](../../docs/api/Roslynator/MetadataNameEqualityComparer-1/README.md)
  * [NameGenerator](../../docs/api/Roslynator/NameGenerator/README.md)
  * [SemanticModelExtensions](../../docs/api/Roslynator/SemanticModelExtensions/README.md)
  * [SeparatedSyntaxListSelection\<TNode\>](../../docs/api/Roslynator/SeparatedSyntaxListSelection-1/README.md)
  * [SymbolExtensions](../../docs/api/Roslynator/SymbolExtensions/README.md)
  * [SyntaxExtensions](../../docs/api/Roslynator/SyntaxExtensions/README.md)
  * [SyntaxListSelection\<TNode\>](../../docs/api/Roslynator/SyntaxListSelection-1/README.md)
  * [SyntaxTreeExtensions](../../docs/api/Roslynator/SyntaxTreeExtensions/README.md)
  * [ExtensionMethodSymbolInfo](../../docs/api/Roslynator/ExtensionMethodSymbolInfo/README.md)
  * [MetadataName](../../docs/api/Roslynator/MetadataName/README.md)
  * [SeparatedSyntaxListSelection\<TNode\>.Enumerator](../../docs/api/Roslynator/SeparatedSyntaxListSelection-1/Enumerator/README.md)
  * [SyntaxListSelection\<TNode\>.Enumerator](../../docs/api/Roslynator/SyntaxListSelection-1/Enumerator/README.md)
  * [ISelection\<T\>](../../docs/api/Roslynator/ISelection-1/README.md)
  * [Visibility](../../docs/api/Roslynator/Visibility/README.md)
* [Roslynator.Text](../../docs/api/Roslynator/Text/README.md)
  * [SyntaxNodeTextBuilder](../../docs/api/Roslynator/Text/SyntaxNodeTextBuilder/README.md)
  * [TextLineCollectionSelection](../../docs/api/Roslynator/Text/TextLineCollectionSelection/README.md)
  * [TextLineCollectionSelection.Enumerator](../../docs/api/Roslynator/Text/TextLineCollectionSelection/Enumerator/README.md)

## Class Hierarchy

* &ensp; \([Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\)<a id="class-hierarchy-System_Object"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; \([EqualityComparer\<T\>](https://docs.microsoft.com/en-us/dotnet/api/system.collections.generic.equalitycomparer-1)\)<a id="class-hierarchy-System_Collections_Generic_EqualityComparer_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-System_Collections_Generic_EqualityComparer_1 "EqualityComparer<T>") &ensp; [MetadataNameEqualityComparer\<TSymbol\>](../../docs/api/Roslynator/MetadataNameEqualityComparer-1/README.md)<a id="class-hierarchy-Roslynator_MetadataNameEqualityComparer_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [NameGenerator](../../docs/api/Roslynator/NameGenerator/README.md)<a id="class-hierarchy-Roslynator_NameGenerator"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [SeparatedSyntaxListSelection\<TNode\>](../../docs/api/Roslynator/SeparatedSyntaxListSelection-1/README.md)<a id="class-hierarchy-Roslynator_SeparatedSyntaxListSelection_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [SyntaxListSelection\<TNode\>](../../docs/api/Roslynator/SyntaxListSelection-1/README.md)<a id="class-hierarchy-Roslynator_SyntaxListSelection_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [SyntaxNodeTextBuilder](../../docs/api/Roslynator/Text/SyntaxNodeTextBuilder/README.md)<a id="class-hierarchy-Roslynator_Text_SyntaxNodeTextBuilder"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [TextLineCollectionSelection](../../docs/api/Roslynator/Text/TextLineCollectionSelection/README.md)<a id="class-hierarchy-Roslynator_Text_TextLineCollectionSelection"></a>

## Extensions of External Types

* [Microsoft.CodeAnalysis](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis)
  * [SemanticModel](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.semanticmodel)
  * [SyntaxNode](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnode)
  * [SyntaxTree](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtree)
  * [FileLinePositionSpan](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.filelinepositionspan)
  * [SeparatedSyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.separatedsyntaxlist-1)
  * [SyntaxList\<TNode\>](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxlist-1)
  * [SyntaxNodeOrToken](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxnodeortoken)
  * [SyntaxToken](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtoken)
  * [SyntaxTokenList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtokenlist)
  * [SyntaxTrivia](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivia)
  * [SyntaxTriviaList](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.syntaxtrivialist)
  * [IFieldSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.ifieldsymbol)
  * [IMethodSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.imethodsymbol)
  * [INamedTypeSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.inamedtypesymbol)
  * [IParameterSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.iparametersymbol)
  * [ISymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.isymbol)
  * [ITypeSymbol](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.itypesymbol)
  * [Accessibility](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.accessibility)
* [Microsoft.CodeAnalysis.Diagnostics](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics)
  * [SymbolAnalysisContext](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.symbolanalysiscontext)
  * [SyntaxNodeAnalysisContext](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.syntaxnodeanalysiscontext)
  * [SyntaxTreeAnalysisContext](https://docs.microsoft.com/en-us/dotnet/api/microsoft.codeanalysis.diagnostics.syntaxtreeanalysiscontext)
