# Roslynator Testing Framework

[Types](#types) &#x2022; [Class Hierarchy](#class-hierarchy)

## Types

* [Roslynator.Testing](../../docs/api/Roslynator/Testing/README.md)
  * [CodeVerifier](../../docs/api/Roslynator/Testing/CodeVerifier/README.md)
  * [CompilerDiagnosticFixTestData](../../docs/api/Roslynator/Testing/CompilerDiagnosticFixTestData/README.md)
  * [CompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CompilerDiagnosticFixVerifier-1/README.md)
  * [DiagnosticTestData](../../docs/api/Roslynator/Testing/DiagnosticTestData/README.md)
  * [DiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/DiagnosticVerifier-2/README.md)
  * [ExpectedTestState](../../docs/api/Roslynator/Testing/ExpectedTestState/README.md)
  * [RefactoringTestData](../../docs/api/Roslynator/Testing/RefactoringTestData/README.md)
  * [RefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/RefactoringVerifier-1/README.md)
  * [TestOptions](../../docs/api/Roslynator/Testing/TestOptions/README.md)
  * [AdditionalFile](../../docs/api/Roslynator/Testing/AdditionalFile/README.md)
  * [TestCode](../../docs/api/Roslynator/Testing/TestCode/README.md)
* [Roslynator.Testing.CSharp](../../docs/api/Roslynator/Testing/CSharp/README.md)
  * [CSharpCompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/CSharpCompilerDiagnosticFixVerifier-1/README.md)
  * [CSharpDiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/CSharpDiagnosticVerifier-2/README.md)
  * [CSharpRefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/CSharp/CSharpRefactoringVerifier-1/README.md)
  * [CSharpTestOptions](../../docs/api/Roslynator/Testing/CSharp/CSharpTestOptions/README.md)
* [Roslynator.Testing.CSharp.MSTest](../../docs/api/Roslynator/Testing/CSharp/MSTest/README.md)
  * [MSTestCompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/MSTest/MSTestCompilerDiagnosticFixVerifier-1/README.md)
  * [MSTestDiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/MSTest/MSTestDiagnosticVerifier-2/README.md)
  * [MSTestRefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/CSharp/MSTest/MSTestRefactoringVerifier-1/README.md)
* [Roslynator.Testing.CSharp.Xunit](../../docs/api/Roslynator/Testing/CSharp/Xunit/README.md)
  * [XunitCompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/Xunit/XunitCompilerDiagnosticFixVerifier-1/README.md)
  * [XunitDiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/Xunit/XunitDiagnosticVerifier-2/README.md)
  * [XunitRefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/CSharp/Xunit/XunitRefactoringVerifier-1/README.md)

## Class Hierarchy

* &ensp; \([Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)\)<a id="class-hierarchy-System_Object"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [CodeVerifier](../../docs/api/Roslynator/Testing/CodeVerifier/README.md)<a id="class-hierarchy-Roslynator_Testing_CodeVerifier"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [CompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CompilerDiagnosticFixVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CompilerDiagnosticFixVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CompilerDiagnosticFixVerifier_1 "CompilerDiagnosticFixVerifier<TFixProvider>") &ensp; [CSharpCompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/CSharpCompilerDiagnosticFixVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_CSharpCompilerDiagnosticFixVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CompilerDiagnosticFixVerifier_1 "CompilerDiagnosticFixVerifier<TFixProvider>") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CSharp_CSharpCompilerDiagnosticFixVerifier_1 "CSharpCompilerDiagnosticFixVerifier<TFixProvider>") &ensp; [MSTestCompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/MSTest/MSTestCompilerDiagnosticFixVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_MSTest_MSTestCompilerDiagnosticFixVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CompilerDiagnosticFixVerifier_1 "CompilerDiagnosticFixVerifier<TFixProvider>") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CSharp_CSharpCompilerDiagnosticFixVerifier_1 "CSharpCompilerDiagnosticFixVerifier<TFixProvider>") &ensp; [XunitCompilerDiagnosticFixVerifier\<TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/Xunit/XunitCompilerDiagnosticFixVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_Xunit_XunitCompilerDiagnosticFixVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [DiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/DiagnosticVerifier-2/README.md)<a id="class-hierarchy-Roslynator_Testing_DiagnosticVerifier_2"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_DiagnosticVerifier_2 "DiagnosticVerifier<TAnalyzer, TFixProvider>") &ensp; [CSharpDiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/CSharpDiagnosticVerifier-2/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_CSharpDiagnosticVerifier_2"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_DiagnosticVerifier_2 "DiagnosticVerifier<TAnalyzer, TFixProvider>") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CSharp_CSharpDiagnosticVerifier_2 "CSharpDiagnosticVerifier<TAnalyzer, TFixProvider>") &ensp; [MSTestDiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/MSTest/MSTestDiagnosticVerifier-2/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_MSTest_MSTestDiagnosticVerifier_2"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_DiagnosticVerifier_2 "DiagnosticVerifier<TAnalyzer, TFixProvider>") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CSharp_CSharpDiagnosticVerifier_2 "CSharpDiagnosticVerifier<TAnalyzer, TFixProvider>") &ensp; [XunitDiagnosticVerifier\<TAnalyzer, TFixProvider\>](../../docs/api/Roslynator/Testing/CSharp/Xunit/XunitDiagnosticVerifier-2/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_Xunit_XunitDiagnosticVerifier_2"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [RefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/RefactoringVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_RefactoringVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_RefactoringVerifier_1 "RefactoringVerifier<TRefactoringProvider>") &ensp; [CSharpRefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/CSharp/CSharpRefactoringVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_CSharpRefactoringVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_RefactoringVerifier_1 "RefactoringVerifier<TRefactoringProvider>") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CSharp_CSharpRefactoringVerifier_1 "CSharpRefactoringVerifier<TRefactoringProvider>") &ensp; [MSTestRefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/CSharp/MSTest/MSTestRefactoringVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_MSTest_MSTestRefactoringVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CodeVerifier "CodeVerifier") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_RefactoringVerifier_1 "RefactoringVerifier<TRefactoringProvider>") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_CSharp_CSharpRefactoringVerifier_1 "CSharpRefactoringVerifier<TRefactoringProvider>") &ensp; [XunitRefactoringVerifier\<TRefactoringProvider\>](../../docs/api/Roslynator/Testing/CSharp/Xunit/XunitRefactoringVerifier-1/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_Xunit_XunitRefactoringVerifier_1"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [CompilerDiagnosticFixTestData](../../docs/api/Roslynator/Testing/CompilerDiagnosticFixTestData/README.md)<a id="class-hierarchy-Roslynator_Testing_CompilerDiagnosticFixTestData"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [DiagnosticTestData](../../docs/api/Roslynator/Testing/DiagnosticTestData/README.md)<a id="class-hierarchy-Roslynator_Testing_DiagnosticTestData"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [ExpectedTestState](../../docs/api/Roslynator/Testing/ExpectedTestState/README.md)<a id="class-hierarchy-Roslynator_Testing_ExpectedTestState"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [RefactoringTestData](../../docs/api/Roslynator/Testing/RefactoringTestData/README.md)<a id="class-hierarchy-Roslynator_Testing_RefactoringTestData"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [TestOptions](../../docs/api/Roslynator/Testing/TestOptions/README.md)<a id="class-hierarchy-Roslynator_Testing_TestOptions"></a>
* &ensp; [&bull;](#class-hierarchy-System_Object "Object") &ensp; [&bull;](#class-hierarchy-Roslynator_Testing_TestOptions "TestOptions") &ensp; [CSharpTestOptions](../../docs/api/Roslynator/Testing/CSharp/CSharpTestOptions/README.md)<a id="class-hierarchy-Roslynator_Testing_CSharp_CSharpTestOptions"></a>

