﻿// Copyright (c) Josef Pihrt and Contributors. Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

// <auto-generated>

using System;
using Microsoft.CodeAnalysis;

namespace Roslynator.CodeGeneration.CSharp
{
    public partial class CSharpSyntaxWalkerGenerator
    {
        protected virtual bool ShouldVisit(IPropertySymbol propertySymbol)
        {
            switch (propertySymbol.ContainingType.Name)
            {
                case "AccessorDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Keyword":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AccessorListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBraceToken":
                        case "Accessors":
                        case "CloseBraceToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AliasQualifiedNameSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Alias":
                        case "ColonColonToken":
                        case "Name":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AnonymousMethodExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Modifiers":
                        case "AsyncKeyword":
                        case "DelegateKeyword":
                        case "ParameterList":
                        case "Block":
                            return true;
                        case "Body":
                        case "ExpressionBody":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AnonymousObjectCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NewKeyword":
                        case "OpenBraceToken":
                        case "Initializers":
                        case "CloseBraceToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AnonymousObjectMemberDeclaratorSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NameEquals":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ArgumentListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Arguments":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ArgumentSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NameColon":
                        case "RefKindKeyword":
                        case "Expression":
                            return true;
                        case "RefOrOutKeyword":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ArrayCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NewKeyword":
                        case "Type":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ArrayRankSpecifierSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Rank":
                        case "OpenBracketToken":
                        case "Sizes":
                        case "CloseBracketToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ArrayTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ElementType":
                        case "RankSpecifiers":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ArrowExpressionClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ArrowToken":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AssignmentExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Left":
                        case "OperatorToken":
                        case "Right":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AttributeArgumentListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Arguments":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AttributeArgumentSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NameEquals":
                        case "NameColon":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AttributeListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBracketToken":
                        case "Target":
                        case "Attributes":
                        case "CloseBracketToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AttributeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AttributeTargetSpecifierSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Identifier":
                        case "ColonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "AwaitExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AwaitKeyword":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BadDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "Identifier":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BaseExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Token":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BaseListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ColonToken":
                        case "Types":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BinaryExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Left":
                        case "OperatorToken":
                        case "Right":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BlockSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBraceToken":
                        case "Statements":
                        case "CloseBraceToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BracketedArgumentListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBracketToken":
                        case "Arguments":
                        case "CloseBracketToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BracketedParameterListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBracketToken":
                        case "Parameters":
                        case "CloseBracketToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BreakStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "BreakKeyword":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CasePatternSwitchLabelSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "Pattern":
                        case "WhenClause":
                        case "ColonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CaseSwitchLabelSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "Value":
                        case "ColonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CastExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Type":
                        case "CloseParenToken":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CatchClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "CatchKeyword":
                        case "Declaration":
                        case "Filter":
                        case "Block":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CatchDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Type":
                        case "Identifier":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CatchFilterClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "WhenKeyword":
                        case "OpenParenToken":
                        case "FilterExpression":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ClassDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Keyword":
                        case "Identifier":
                        case "TypeParameterList":
                        case "BaseList":
                        case "ConstraintClauses":
                        case "OpenBraceToken":
                        case "Members":
                        case "CloseBraceToken":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ClassOrStructConstraintSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ClassOrStructKeyword":
                        case "QuestionToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CompilationUnitSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Externs":
                        case "Usings":
                        case "AttributeLists":
                        case "Members":
                        case "EndOfFileToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConditionalAccessExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "OperatorToken":
                        case "WhenNotNull":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConditionalExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Condition":
                        case "QuestionToken":
                        case "WhenTrue":
                        case "ColonToken":
                        case "WhenFalse":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConstantPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConstructorConstraintSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NewKeyword":
                        case "OpenParenToken":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConstructorDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Identifier":
                        case "ParameterList":
                        case "Initializer":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConstructorInitializerSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ColonToken":
                        case "ThisOrBaseKeyword":
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ContinueStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ContinueKeyword":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConversionOperatorDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "ImplicitOrExplicitKeyword":
                        case "OperatorKeyword":
                        case "Type":
                        case "ExplicitInterfaceSpecifier":
                        case "ParameterList":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ConversionOperatorMemberCrefSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ImplicitOrExplicitKeyword":
                        case "OperatorKeyword":
                        case "Type":
                        case "Parameters":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CrefBracketedParameterListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBracketToken":
                        case "Parameters":
                        case "CloseBracketToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CrefParameterListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Parameters":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CrefParameterSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "RefKindKeyword":
                        case "Type":
                            return true;
                        case "RefOrOutKeyword":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DeclarationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                        case "Designation":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DeclarationPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                        case "Designation":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DefaultExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Type":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DefaultSwitchLabelSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "ColonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DefineDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "DefineKeyword":
                        case "Name":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DelegateDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Arity":
                        case "AttributeLists":
                        case "Modifiers":
                        case "DelegateKeyword":
                        case "ReturnType":
                        case "Identifier":
                        case "TypeParameterList":
                        case "ParameterList":
                        case "ConstraintClauses":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DestructorDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "TildeToken":
                        case "Identifier":
                        case "ParameterList":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DiscardDesignationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "UnderscoreToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DocumentationCommentTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Content":
                        case "EndOfComment":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DoStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "DoKeyword":
                        case "Statement":
                        case "WhileKeyword":
                        case "OpenParenToken":
                        case "Condition":
                        case "CloseParenToken":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ElementAccessExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ElementBindingExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ElifDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "ElifKeyword":
                        case "Condition":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                        case "BranchTaken":
                        case "ConditionValue":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ElseClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ElseKeyword":
                        case "Statement":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ElseDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "ElseKeyword":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                        case "BranchTaken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EmptyStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EndIfDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "EndIfKeyword":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EndRegionDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "EndRegionKeyword":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EnumDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "EnumKeyword":
                        case "Identifier":
                        case "BaseList":
                        case "OpenBraceToken":
                        case "Members":
                        case "CloseBraceToken":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EnumMemberDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Identifier":
                        case "EqualsValue":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EqualsValueClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "EqualsToken":
                        case "Value":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ErrorDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "ErrorKeyword":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EventDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "EventKeyword":
                        case "Type":
                        case "ExplicitInterfaceSpecifier":
                        case "Identifier":
                        case "AccessorList":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "EventFieldDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "EventKeyword":
                        case "Declaration":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ExplicitInterfaceSpecifierSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "DotToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ExpressionStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AllowsAnyExpression":
                        case "Expression":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ExternAliasDirectiveSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ExternKeyword":
                        case "AliasKeyword":
                        case "Identifier":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FieldDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Declaration":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FinallyClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "FinallyKeyword":
                        case "Block":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FixedStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "FixedKeyword":
                        case "OpenParenToken":
                        case "Declaration":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ForEachStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ForEachKeyword":
                        case "OpenParenToken":
                        case "Type":
                        case "Identifier":
                        case "InKeyword":
                        case "AwaitKeyword":
                        case "Expression":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ForEachVariableStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ForEachKeyword":
                        case "OpenParenToken":
                        case "Variable":
                        case "InKeyword":
                        case "AwaitKeyword":
                        case "Expression":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ForStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ForKeyword":
                        case "OpenParenToken":
                        case "Declaration":
                        case "Initializers":
                        case "FirstSemicolonToken":
                        case "Condition":
                        case "SecondSemicolonToken":
                        case "Incrementors":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FromClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "FromKeyword":
                        case "Type":
                        case "Identifier":
                        case "InKeyword":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "GenericNameSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "IsUnboundGenericName":
                        case "Identifier":
                        case "TypeArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "GlobalStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Statement":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "GotoStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "GotoKeyword":
                        case "CaseOrDefaultKeyword":
                        case "Expression":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "GroupClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "GroupKeyword":
                        case "GroupExpression":
                        case "ByKeyword":
                        case "ByExpression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CheckedExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Expression":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "CheckedStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "Block":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IdentifierNameSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Identifier":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IfDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "IfKeyword":
                        case "Condition":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                        case "BranchTaken":
                        case "ConditionValue":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IfStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "IfKeyword":
                        case "OpenParenToken":
                        case "Condition":
                        case "CloseParenToken":
                        case "Statement":
                        case "Else":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ImplicitArrayCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NewKeyword":
                        case "OpenBracketToken":
                        case "Commas":
                        case "CloseBracketToken":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ImplicitElementAccessSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IncompleteMemberSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IndexerDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Type":
                        case "ExplicitInterfaceSpecifier":
                        case "ThisKeyword":
                        case "ParameterList":
                        case "AccessorList":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        case "Semicolon":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IndexerMemberCrefSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ThisKeyword":
                        case "Parameters":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InitializerExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBraceToken":
                        case "Expressions":
                        case "CloseBraceToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InterfaceDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Keyword":
                        case "Identifier":
                        case "TypeParameterList":
                        case "BaseList":
                        case "ConstraintClauses":
                        case "OpenBraceToken":
                        case "Members":
                        case "CloseBraceToken":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InterpolatedStringExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "StringStartToken":
                        case "Contents":
                        case "StringEndToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InterpolatedStringTextSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "TextToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InterpolationAlignmentClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "CommaToken":
                        case "Value":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InterpolationFormatClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ColonToken":
                        case "FormatStringToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InterpolationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBraceToken":
                        case "Expression":
                        case "AlignmentClause":
                        case "FormatClause":
                        case "CloseBraceToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "InvocationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "IsPatternExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "IsKeyword":
                        case "Pattern":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "JoinClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "JoinKeyword":
                        case "Type":
                        case "Identifier":
                        case "InKeyword":
                        case "InExpression":
                        case "OnKeyword":
                        case "LeftExpression":
                        case "EqualsKeyword":
                        case "RightExpression":
                        case "Into":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "JoinIntoClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "IntoKeyword":
                        case "Identifier":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LabeledStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Identifier":
                        case "ColonToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LetClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LetKeyword":
                        case "Identifier":
                        case "EqualsToken":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LineDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "LineKeyword":
                        case "Line":
                        case "File":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LiteralExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Token":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LoadDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "LoadKeyword":
                        case "File":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LocalDeclarationStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AwaitKeyword":
                        case "UsingKeyword":
                            case "IsConst":
                        case "Modifiers":
                        case "Declaration":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LocalFunctionStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Modifiers":
                        case "ReturnType":
                        case "Identifier":
                        case "TypeParameterList":
                        case "ParameterList":
                        case "ConstraintClauses":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LockStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LockKeyword":
                        case "OpenParenToken":
                        case "Expression":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "MakeRefExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Expression":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "MemberAccessExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "OperatorToken":
                        case "Name":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "MemberBindingExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OperatorToken":
                        case "Name":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "MethodDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Arity":
                        case "AttributeLists":
                        case "Modifiers":
                        case "ReturnType":
                        case "ExplicitInterfaceSpecifier":
                        case "Identifier":
                        case "TypeParameterList":
                        case "ParameterList":
                        case "ConstraintClauses":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "NameColonSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "ColonToken":
                            return true;
                        case "Expression":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "NameEqualsSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "EqualsToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "NameMemberCrefSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "Parameters":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "NamespaceDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "NamespaceKeyword":
                        case "Name":
                        case "OpenBraceToken":
                        case "Externs":
                        case "Usings":
                        case "Members":
                        case "CloseBraceToken":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "NullableTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ElementType":
                        case "QuestionToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ObjectCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NewKeyword":
                        case "Type":
                        case "ArgumentList":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "OmittedArraySizeExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OmittedArraySizeExpressionToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "OmittedTypeArgumentSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OmittedTypeArgumentToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "OperatorDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "ReturnType":
                        case "OperatorKeyword":
                        case "ExplicitInterfaceSpecifier":
                        case "OperatorToken":
                        case "ParameterList":
                        case "Body":
                        case "ExpressionBody":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "OperatorMemberCrefSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OperatorKeyword":
                        case "OperatorToken":
                        case "Parameters":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "OrderByClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OrderByKeyword":
                        case "Orderings":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "OrderingSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "AscendingOrDescendingKeyword":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ParameterListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Parameters":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ParameterSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Type":
                        case "Identifier":
                        case "Default":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ParenthesizedExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Expression":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ParenthesizedLambdaExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "AsyncKeyword":
                        case "ReturnType":
                        case "ParameterList":
                        case "ArrowToken":
                        case "ExpressionBody":
                        case "Block":
                            return true;
                        case "Body":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ParenthesizedVariableDesignationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Variables":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PointerTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ElementType":
                        case "AsteriskToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PostfixUnaryExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Operand":
                        case "OperatorToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PragmaChecksumDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "PragmaKeyword":
                        case "ChecksumKeyword":
                        case "File":
                        case "Guid":
                        case "Bytes":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PragmaWarningDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "PragmaKeyword":
                        case "WarningKeyword":
                        case "DisableOrRestoreKeyword":
                        case "NullableKeyword":
                        case "ErrorCodes":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PredefinedTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PrefixUnaryExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OperatorToken":
                        case "Operand":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PropertyDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Type":
                        case "ExplicitInterfaceSpecifier":
                        case "Identifier":
                        case "AccessorList":
                        case "ExpressionBody":
                        case "Initializer":
                        case "SemicolonToken":
                            return true;
                        case "Semicolon":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "QualifiedCrefSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Container":
                        case "DotToken":
                        case "Member":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "QualifiedNameSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Left":
                        case "DotToken":
                        case "Right":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "QueryBodySyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Clauses":
                        case "SelectOrGroup":
                        case "Continuation":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "QueryContinuationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "IntoKeyword":
                        case "Identifier":
                        case "Body":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "QueryExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "FromClause":
                        case "Body":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ReferenceDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "ReferenceKeyword":
                        case "File":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RefExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "RefKeyword":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RefTypeExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Expression":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RefTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "RefKeyword":
                        case "ReadOnlyKeyword":
                            case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RefValueExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Expression":
                        case "Comma":
                        case "Type":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RegionDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "RegionKeyword":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ReturnStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ReturnKeyword":
                        case "Expression":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SelectClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "SelectKeyword":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ShebangDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "ExclamationToken":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SimpleBaseTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SimpleLambdaExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "AsyncKeyword":
                        case "Parameter":
                        case "ArrowToken":
                        case "ExpressionBody":
                        case "Block":
                            return true;
                        case "Body":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SingleVariableDesignationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Identifier":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SizeOfExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Type":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SkippedTokensTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Tokens":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "StackAllocArrayCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "StackAllocKeyword":
                        case "Type":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "StructDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Keyword":
                        case "Identifier":
                        case "TypeParameterList":
                        case "BaseList":
                        case "ConstraintClauses":
                        case "OpenBraceToken":
                        case "Members":
                        case "CloseBraceToken":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SwitchSectionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Labels":
                        case "Statements":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SwitchStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "SwitchKeyword":
                        case "OpenParenToken":
                        case "Expression":
                        case "CloseParenToken":
                        case "OpenBraceToken":
                        case "Sections":
                        case "CloseBraceToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ThisExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Token":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ThrowExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ThrowKeyword":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ThrowStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ThrowKeyword":
                        case "Expression":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TryStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "TryKeyword":
                        case "Block":
                        case "Catches":
                        case "Finally":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TupleElementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                        case "Identifier":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TupleExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Arguments":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TupleTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Elements":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeArgumentListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanToken":
                        case "Arguments":
                        case "GreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeConstraintSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeCrefSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeOfExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Keyword":
                        case "OpenParenToken":
                        case "Type":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeParameterConstraintClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "WhereKeyword":
                        case "Name":
                        case "ColonToken":
                        case "Constraints":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeParameterListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanToken":
                        case "Parameters":
                        case "GreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypeParameterSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "VarianceKeyword":
                        case "Identifier":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "UndefDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "UndefKeyword":
                        case "Name":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "UnsafeStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "UnsafeKeyword":
                        case "Block":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "UsingDirectiveSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "GlobalKeyword":
                        case "UsingKeyword":
                        case "StaticKeyword":
                        case "Alias":
                        case "Name":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "UsingStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "UsingKeyword":
                        case "AwaitKeyword":
                        case "OpenParenToken":
                        case "Declaration":
                        case "Expression":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "VariableDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                        case "Variables":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "VariableDeclaratorSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Identifier":
                        case "ArgumentList":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "WarningDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "WarningKeyword":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "WhenClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "WhenKeyword":
                        case "Condition":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "WhereClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "WhereKeyword":
                        case "Condition":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "WhileStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "WhileKeyword":
                        case "OpenParenToken":
                        case "Condition":
                        case "CloseParenToken":
                        case "Statement":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlCDataSectionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "StartCDataToken":
                        case "TextTokens":
                        case "EndCDataToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlCommentSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanExclamationMinusMinusToken":
                        case "TextTokens":
                        case "MinusMinusGreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlCrefAttributeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "EqualsToken":
                        case "StartQuoteToken":
                        case "Cref":
                        case "EndQuoteToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlElementEndTagSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanSlashToken":
                        case "Name":
                        case "GreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlElementStartTagSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanToken":
                        case "Name":
                        case "Attributes":
                        case "GreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlElementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "StartTag":
                        case "Content":
                        case "EndTag":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlEmptyElementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanToken":
                        case "Name":
                        case "Attributes":
                        case "SlashGreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlNameAttributeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "EqualsToken":
                        case "StartQuoteToken":
                        case "Identifier":
                        case "EndQuoteToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlNameSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Prefix":
                        case "LocalName":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlPrefixSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Prefix":
                        case "ColonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlProcessingInstructionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "StartProcessingInstructionToken":
                        case "Name":
                        case "TextTokens":
                        case "EndProcessingInstructionToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlTextAttributeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                        case "EqualsToken":
                        case "StartQuoteToken":
                        case "TextTokens":
                        case "EndQuoteToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "XmlTextSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "TextTokens":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "YieldStatementSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "YieldKeyword":
                        case "ReturnOrBreakKeyword":
                        case "Expression":
                        case "SemicolonToken":
                            return true;
                        case "AttributeLists":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ImplicitStackAllocArrayCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "StackAllocKeyword":
                        case "OpenBracketToken":
                        case "CloseBracketToken":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DiscardPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "UnderscoreToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "NullableDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "NullableKeyword":
                        case "SettingToken":
                        case "TargetToken":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PositionalPatternClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Subpatterns":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PropertyPatternClauseSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBraceToken":
                        case "Subpatterns":
                        case "CloseBraceToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RangeExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LeftOperand":
                        case "OperatorToken":
                        case "RightOperand":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RecursivePatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                        case "PositionalPatternClause":
                        case "PropertyPatternClause":
                        case "Designation":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SubpatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NameColon":
                        case "ExpressionColon":
                        case "Pattern":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SwitchExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "GoverningExpression":
                        case "SwitchKeyword":
                        case "OpenBraceToken":
                        case "Arms":
                        case "CloseBraceToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "SwitchExpressionArmSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Pattern":
                        case "WhenClause":
                        case "EqualsGreaterThanToken":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "VarPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "VarKeyword":
                        case "Designation":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "UnaryPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OperatorToken":
                        case "Pattern":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "BinaryPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Left":
                        case "OperatorToken":
                        case "Right":
                                return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RelationalPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OperatorToken":
                        case "Expression":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ParenthesizedPatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Pattern":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "TypePatternSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "RecordDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Keyword":
                        case "ClassOrStructKeyword":
                        case "Identifier":
                        case "ParameterList":
                        case "TypeParameterList":
                        case "BaseList":
                        case "ConstraintClauses":
                        case "OpenBraceToken":
                        case "Members":
                        case "CloseBraceToken":
                        case "SemicolonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "WithExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "WithKeyword":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ImplicitObjectCreationExpressionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "NewKeyword":
                        case "ArgumentList":
                        case "Initializer":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "PrimaryConstructorBaseTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Type":
                        case "ArgumentList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FunctionPointerTypeSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "DelegateKeyword":
                        case "AsteriskToken":
                        case "CallingConvention":
                        case "ParameterList":
                            return true;
                        case "LessThanToken":
                        case "Parameters":
                        case "GreaterThanToken":
                            return false;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "DefaultConstraintSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "DefaultKeyword":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FunctionPointerCallingConventionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "ManagedOrUnmanagedKeyword":
                        case "UnmanagedCallingConventionList":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FunctionPointerParameterSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "Type":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FunctionPointerParameterListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "LessThanToken":
                        case "Parameters":
                        case "GreaterThanToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FunctionPointerUnmanagedCallingConventionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Name":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FunctionPointerUnmanagedCallingConventionListSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenBracketToken":
                        case "CallingConventions":
                        case "CloseBracketToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "ExpressionColonSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "Expression":
                        case "ColonToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "FileScopedNamespaceDeclarationSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "AttributeLists":
                        case "Modifiers":
                        case "NamespaceKeyword":
                        case "Name":
                        case "SemicolonToken":
                        case "Externs":
                        case "Usings":
                        case "Members":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LineDirectivePositionSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "OpenParenToken":
                        case "Line":
                        case "CommaToken":
                        case "Character":
                        case "CloseParenToken":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                case "LineSpanDirectiveTriviaSyntax":
                {
                    switch (propertySymbol.Name)
                    {
                        case "HashToken":
                        case "LineKeyword":
                        case "Start":
                        case "MinusToken":
                        case "End":
                        case "CharacterOffset":
                        case "File":
                        case "EndOfDirectiveToken":
                        case "IsActive":
                            return true;
                        default:
                            throw new InvalidOperationException($"Unrecognized property '{propertySymbol.ToDisplayString(SymbolDisplayFormats.Test)}'");
                    }
                }

                default:
                {
                    throw new InvalidOperationException($"Unrecognized type '{propertySymbol.ContainingType.Name}'");
                }
            }
        }
    }
}